# Token Balance

### Description

Trigger contract that checks if a certain condition regarding users token amount are true

### Trigger ID

`0x3bedf030`

### SDK Action

```ts
const tokenBalanceTrigger = new dfs.triggers.TokenBalanceTrigger(
    ...args
);
```

### Subscription Parameters

```solidity
/// @param tokenAddr address of the token
/// @param userAddr address of the user whose balance we want to check
/// @param targetBalance amount that represents the triggerable point
/// @param state represents if we want the current balance to be higher, lower or equal to targetBalance
struct SubParams {
    address tokenAddr;
    address userAddr;
    uint256 targetBalance;
    uint8 state;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/utils/token-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
